petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSMonitorDrawCtxCreate

Creates the monitor context for TSMonitorDrawCtx

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorDrawCtxCreate(MPI_Comm comm,const char host[],const char label[],int x,int y,int m,int n,PetscInt howoften,TSMonitorDrawCtx *ctx)

Collective on TS

### Input Parameter

ts -time-step context

### Output Patameter

ctx -the monitor context

### Options Database

-ts_monitor_draw_solution_initial -show initial solution as well as current solution

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorDrawCtx()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages